
%define is_release 1

%define kcachegrind_ver 0:0.4.4
%define valgrind_ver 0:2.0.0
%define umbrello_ver 0:1.3.1

Summary: The KDE Software Development Kit (SDK)
Name: 	 kdesdk
Group: 	 User Interface/Desktops
Version: 3.5.6
Release: 1%{?dist}%{?kde}

License: GPL
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0: kde-libtool.patch
Patch1: kdesdk-3.3.92-unistd.patch

# for kbugbuster/libkcal
BuildRequires: kdepim-devel >= 6:%{version}

BuildRequires: kdelibs-devel >= 6:%{version}
Requires: kdelibs >= 6:%{version}
%if "%{is_release}" != "1"
BuildRequires: automake
%endif
BuildRequires: gettext
BuildRequires: flex
BuildRequires: libxslt-devel libxml2-devel

%if 0%{?fedora} > 2 || 0%{?rhel} > 3
BuildRequires: subversion-devel >= 1.0
BuildRequires: neon-devel
%endif
BuildConflicts: subversion-devel < 1.0

Conflicts: kdeartwork-icons < 0:3.3.0
Conflicts: kdevelop < 9:3.0.0

Obsoletes: cervisia < 2:%{version}-%{release}
Provides: kcachegrind = %{kcachegrind_ver}
Provides: umbrello = %{umbrello_ver}
%ifarch %{ix86}
Requires(hint): valgrind >= %{valgrind_ver}
%endif
# Let rpm autodetect this?
#Requires: graphviz

%description
A collection of applications and tools used by KDE developers.
Among other things, kdesdk provides tools for working on the KDE CVS
repository.

%package devel
Summary: Development files for %{name} 
Group:	 Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: kdelibs-devel
%description devel
%{summary}.


%prep

%if "%{is_release}" != "0"
%setup -q -n %{name}-%{version}%{?beta}
%else
%setup -q -n %{name}
%endif

#patch0 -p1 -b .libtool
%{?gcc296:%patch1 -p1 -b .unistd}

%if "%{is_release}" != "1"
  make -f admin/Makefile.common cvs
%endif


%build
unset QTDIR || : ; source /etc/profile.d/qt.sh

%configure \
  --includedir=%{_includedir}/kde \
  --disable-rpath \
  --disable-gcc-hidden-visibility \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final \
  %{?debug:  --enable-debug --enable-warnings --disable-final }

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done  
fi  

mv %{name}.lang %{name}.list

# Handle .la, .so files (v0.6)
[ ! -f %{name}.list ] && echo "%defattr(-,root,root,-)" > %{name}.list
[ ! -f devel.list ]  && echo "%defattr(-,root,root,-)" > devel.list
for solib in ${RPM_BUILD_ROOT}%{_libdir}/*.so* ; do
  soname=$(basename ${solib})
  base=$(basename ${soname} .so)
  if [ -L ${solib} ]; then
    if [ "${soname}" == "${base}.so" ]; then
      echo "%{_libdir}/${soname}" >> devel.list
      if [ -f ${RPM_BUILD_ROOT}%{_libdir}/${base}.la ]; then
        ## Should be able to omit these, but that's not always true -- Rex
        #echo "%exclude %{_libdir}/${base}.la" >> devel.list
        echo "%{_libdir}/${base}.la" >> devel.list
      fi
    else
      echo "%{_libdir}/${soname}" >> %{name}.list
    fi
  else
    if [ -f ${RPM_BUILD_ROOT}%{_libdir}/${base}.la ]; then
      ## Should be safe since we patched kdelibs, but that not always true (either) -- Rex
      #echo "%exclude %{_libdir}/${base}.la" >> %{name}.list
      echo "%{_libdir}/${base}.la" >> %{name}.list
    fi
    echo "%{_libdir}/${soname}" >> %{name}.list
  fi
done


%pre
if [ $1 -gt 1 ]; then
  [ -d %{_docdir}/HTML/en/cervisia/common ] && rm -rf %{_docdir}/HTML/en/cervisia/common 
fi
exit 0

%post
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme crystalsvg 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme locolor 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme crystalsvg 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme locolor 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :


%files -f %{name}.list
%defattr(-,root,root,-)
%{_bindir}/*
%{_libdir}/kde3/*
%{_datadir}/apps/*
%config %{_datadir}/config*/*
%{_datadir}/mimelnk/*/*
%{_datadir}/service*/*
%{_datadir}/icons/crystalsvg/*/*/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/icons/locolor/*/*/*
%{_datadir}/appl*/*/*

%files -f devel.list devel
%defattr(-,root,root,-)
%{_includedir}/kde/*
%if 0%{?fedora} < 6 
%ifarch %{ix86} x86_64 ia64 ppc s390
%{_libdir}/libktrace_s.a
%endif
%endif
%{_mandir}/man1/*


%clean   
rm -rf $RPM_BUILD_ROOT


%changelog
* Tue Jan 16 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.5.6-1
- kde-3.5.6

* Fri Oct 20 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5.5-0.2
- BR: gettext
- BR: flex (kbabel)
- BR: libxslt-devel, libxml2-devel (umbrello)

* Thu Oct 05 2006 Rex Dieter <rexdieter[AT]users.sf.ne> 3.5.5-0.1
- 3.5.5

* Tue Jul 25 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5.4-1.0
- kde-3.5.4

* Wed May 24 2006 Rex Dieter 6:3.5.3-1.0
- kde-3.5.3

* Mon Mar 20 2006 Rex Dieter 6:3.5.2-1.0
- 3.5.2

* Sat Jan 21 2006 Rex Dieter 6:3.5.1-1.0
- kde-3.5.1

* Fri Dec 08 2005 Rex Dieter 6:3.5.0-1.2
- --enable-new-ldflags
- --disable-gcc-hidden-visibility
- x86_64: include %%_libdir/libktrace_s.a
- drop extraneous BR: apr-devel

* Sat Nov 26 2005 Rex Dieter 6:3.5.0-1.1
- respin

* Mon Nov 21 2005 Rex Dieter 3.5.0-1.0
- kde-3.5.0

* Sat Nov 12 2005 Rex Dieter 3.5.0-0.1.rc1.kde
- kde-3.5.0-rc1

* Thu Sep 15 2005 Rex Dieter 3.4.2-1.3.kde
- cleanup
- drop ancient Obsoletes/Provides

* Fri Aug 12 2005 Rex Dieter 3.4.2-1.2.kde
- respin

* Thu Jul 21 2005 Rex Dieter 0:3.4.2-1.0.kde
- kde-3.4.2

* Mon Jun 20 2005 Rex Dieter 0:3.4.1-1.2.kde
- disable -fvisibility, for now (kde bug #101542)

* Tue May 24 2005 Rex Dieter 0:3.4.1-1.0.kde
- 3.4.1

* Fri Apr 15 2005 Rex Dieter 0:3.4.0-1.2.kde
- refactor .la file handling (to hopefully fix quanta crashers)

* Wed Mar 23 2005 Rex Dieter 0:3.4.0-1.1.kde
- %%post/%%postun workarounds for recent /sbin/ldconfig (fc3/el4)

* Fri Mar 05 2005 Rex Dieter 0:3.4.0-1.0.kde
- 3.4.0(final)

* Tue Feb 15 2005 Rex Dieter 0:3.3.92-0.2.kde
- 3.3.92

* Fri Jan 14 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0:3.3.2-1.1.kde
- BR: desktop-file-utils > 0.3 (biffed Categories, missing cervisia part)

* Mon Nov 29 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0:3.3.2-1.0.kde
- 3.3.2

* Thu Nov 11 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0:3.3.1-1.1.kde
- fc3

* Mon Oct 25 2004 Rex Dieter <rexdieter at sf.net> 0:3.3.1-0.2.kde
- Obsoletes/Provides: umbrello

* Wed Oct 13 2004 Rex Dieter <rexdieter at sf.net> 0:3.3.1-0.1.kde
- sync w/kde.org

* Tue Oct 04 2004 Rex Dieter <rexdieter at sf.net> 0:3.3.1-0.0.kde
- 3.3.1

* Sun Sep 05 2004 Rex Dieter <rexdieter at sf.net> 0:3.3.0-1.2.kde
- Conflicts: kdeartwork-icons < 3.3.0 (some icons moved from there)

* Tue Aug 17 2004 Rex Dieter <rexdieter at sf.net> 0:3.3.0-1.1.kde
- BR: kdepim-devel

* Mon Aug 16 2004 Rex Dieter <rexdieter at sf.net> 0:3.3.0-1.0.kde
- 3.3.0

